Main Page Widgets Namespaces Book

# icontheme.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::IconTheme
class | Gtk::IconThemeError
| Exception class for Gdk::IconTheme errors. More...

## Enumerations

enum | Gtk::IconLookupFlags { Gtk::ICON_LOOKUP_NO_SVG = 1 << 0, Gtk::ICON_LOOKUP_FORCE_SVG = 1 << 1, Gtk::ICON_LOOKUP_USE_BUILTIN = 1 << 2, Gtk::ICON_LOOKUP_GENERIC_FALLBACK = 1 << 3 }

## Functions

IconLookupFlags | Gtk::operator& (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags& | Gtk::operator&= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator^ (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags& | Gtk::operator^= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator| (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags& | Gtk::operator|= (IconLookupFlags& lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator~ (IconLookupFlags flags)